# example WASD mapping rule file (post 8.1)

set /wasd_root/doc/* map=ellipsis
set /wasd_root/src/* map=ellipsis NOcache

#(uncomment the following line and comment the one after to restrict access)
#fail /wasd_root/*
pass /wasd_root/* /wasd_root/* dir=access dir=wildcard

# (template for HTTP proxy serving)
#pass http://*

#(next line allows for CERN HTTPd icon compatibility)
map /httpd-internal-icons/* /httpd/-/*
pass /*/-/* /wasd_root/runtime/*/* cache=perm
pass /wasd_root/runtime/* /wasd_root/runtime/*

# access to Server Administration interface
pass /httpd/-/admin/*
# ensure any access to /local/ has authorization applied
set /wasd_root/local/* auth=all
set /local/* auth=all

# generalised "/web..." rules
pass /web/* /web/*

# general scripting rules
exec /cgi-bin/* /cgi-bin/*
exec+ /cgiplus-bin/* /cgi-bin/*
exec+ /cgiauth-bin/* /cgi-bin/*
exec+ /isapi/* /cgi-bin/*

# "internal" scripts
#script /upd/* /upd/*
#script /echo/* /echo/*
#script /tree/* /tree/*
#script /where/* /where/*
#script /xray/* /xray/*

script+ /conan* /cgi-bin/conan*
script+ /help* /cgi-bin/conan*
script+ /HyperReader* /cgi-bin/HyperReader*
script+ /HyperShelf* /cgi-bin/HyperShelf*

#(should be carefully configured)
#script /query/* /cgi-bin/query/*
#script /extract/* /cgi-bin/extract/*
#(here's an alternative that confines them to the specified path)
if (path-info:/query/wasd_root/doc/*) script /query/* /cgi-bin/query/*
if (path-info:/extract/wasd_root/doc/*) script /extract/* /cgi-bin/extract/*

exec /rtbin/* (cgi-bin:[000000]rte_example.exe)/wasd_root/src/httpd/*

#----- DECnet-based scripting

# for WASD CGI DECnet scripts
exec /decnet/* /0::/cgi-bin/*

# OSU-specific .HTMLX (SSI) processing
redirect /*.*.htmlx /*.htmlx?httpd=ssi&__part=*

# OSU-specific DECnet scripting
exec /osu/* /0::"0=wwwexec"/cgi-bin/*
exec /htbin/* /0::"0=wwwexec"/cgi-bin/*
map /demo/* /www_root/serverdoc/*
# for 'vmshelpgate' script
pass /help* 
# for 'webbook' (maps a VMS file specification jammed into the path)
pass /*[*]*
# if a current/previous installation of OSU then this should map to it
pass /www_root/*


#----- user (DECnet-based) scripting, directories
# based on the assumption user web areas are located in WEB:[USER.<username>]

#exec /~*/cgi-bin/* /0""::/web/user/*/cgi-bin/*
#exec /~*/osu-bin/* /0""::"0=wwwexec"/web/user/*/cgi-bin/*
#pass /~* /web/user/*

# miscellaneous

pass /sys$common/syshlp/* /sys$common/syshlp/* dir=access dir=wildcard
pass /sys$common/syslib/* /sys$common/syslib/* dir=access dir=wildcard
pass /sys$common/syshlp/* /sys$common/ssl/* dir=access dir=wildcard

# used for bookreader books
pass /decw$book/* /decw$book/*
pass /sys$common/decw$book/* /sys$common/decw$book/*
pass /sys$common/decw$defaults/user/* /sys$common/decw$defaults/user/*
# used for BNU environment
pass /disk$vaxdoc* /disk$vaxdoc*
pass /disk$axpdoc* /disk$axpdoc*

# any lingering from pre-v10!
pass /ht_root/* /wasd_root/*
# just for the demonstration file!
pass /* /wasd_root/*
